# BEGIN SourceDeps(oneline):
#BuildRequires: perl(Benchmark.pm) perl(Bit/Vector/Minimal.pm) perl(Class/Accessor/Fast.pm) perl(Class/Struct.pm) perl(Encode.pm) perl(Exporter.pm) perl(Fcntl.pm) perl(File/Slurp.pm) perl(IO/Handle.pm) perl(IO/Scalar.pm) perl(Lingua/Stem/En.pm) perl(List/Util.pm) perl(Memoize.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(Text/Balanced.pm) perl(Tie/Array/Sorted.pm) perl(Time/Piece.pm) perl(overload.pm)
BuildRequires: perl(Benchmark) 
#BuildRequires: perl(Bit::Vector::Minimal)
BuildRequires: perl(Class::Accessor::Fast) perl(Class::Struct) perl(Encode) perl(Exporter) perl(Fcntl) perl(File::Slurp) perl(IO::Handle) perl(IO::Scalar) 
#BuildRequires: perl(Lingua::Stem::En) 
BuildRequires: perl(Lingua::Stem)
BuildRequires: perl(List::Util) perl(Memoize) perl(Module::Build) perl(Test::More) perl(Text::Balanced) 
#BuildRequires: perl(Tie::Array::Sorted) 
BuildRequires: perl(Time::Piece) perl(overload)
BuildRequires: perl-Class-Virtual
BuildRequires: perl-Bit-Vector

# END SourceDeps(oneline)
%define module_version 1.25
%define module_name Plucene
%define _unpackaged_files_terminate_build 1
BuildRequires: perl-rpm-build-perl perl-devel perl-podlators rpm-build

Name: perl-%module_name
Version: 1.25
Release: 1%{?dist}
Summary: A Perl port of the Lucene search engine
Group: Development/Perl
License: perl
Url: https://www.cpan.org/modules/by-module/Plucene/

Source0: http://cpan.org.ua/authors/id/T/TM/TMTM/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -n %module_name-%module_version

%build
#%perl_vendor_build --install_path bindoc=%_man1dir
perl Build.PL installdirs=vendor optimize="%{optimize}".
#./Build installdeps
./Build

%install
#%perl_vendor_install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} +
%{_fixperms} %{buildroot}/*


%files
%doc README Changes
#/%perl_vendor_privlib/P*
/%{perl_vendorlib}/P*

%files scripts
%_bindir/*
#%_man1dir/*
%{_mandir}/*

%changelog
* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.25-alt1
- initial import by package builder

